package crous;

import static org.junit.Assert.*;
import static org.mockito.Mockito.doThrow;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.verify;

import org.junit.Test;

public class TestPayerRepasSoldeSuffisant {

	@Test
	public void testPayerRepasNominal() throws SoldeInsuffisantException, CarteManquanteException {
		MachineCrous machine = new MachineCrous();
		Carte carte = mock(Carte.class); // interface Carte
		machine.associer(carte);
		int prixRepas = 4;				
		
		machine.payerRepas(prixRepas); // code a tester
		
		// oracle
		verify(carte).debiter(prixRepas);
	}

}
