package crous;

public class MachineCrous {

	private Carte carte;
	
	public void associer(Carte carte) {
		this.carte = carte;
	}
	
	public void payerRepas(int montant) throws SoldeInsuffisantException, CarteManquanteException {
		if (this.carte == null)
			throw new CarteManquanteException();
		carte.debiter(montant);
	}

	public int solde() {
		return carte.solde();
	}
	
}
