package crous;

import static org.junit.Assert.*;
import static org.mockito.Mockito.mock;

import org.junit.Test;
import static org.mockito.Mockito.*;

public class TestSoldeMachine {

	@Test
	public void testLeSoldeMachineEstLeSoldeCarte() {
		MachineCrous machine = new MachineCrous();
		Carte carte = mock(Carte.class); 
		machine.associer(carte);
		int soldeCarte = 14;
		when(carte.solde()).thenReturn(soldeCarte);
		
		int soldeMachine = machine.solde();
		assertEquals(soldeCarte, soldeMachine);
		verify(carte).solde();
	}

}
